Skip to main content
GET
/
api
/
v1
/
:team_slug
/
:app_slug
/
products
/
:product_id
/
draft
Error
A valid request URL is required to generate request examples
{
  "data": {
    "app_id": "<string>",
    "changeset": {
      "attributes": [
        "<string>"
      ],
      "categories": [
        {
          "id": "<string>",
          "order": 123
        }
      ],
      "collections": [
        "<string>"
      ],
      "description": "<string>",
      "html_description": "<string>",
      "html_short_description": "<string>",
      "images": [
        {
          "id": "<string>",
          "priority": 123
        }
      ],
      "meta_description": "<string>",
      "meta_title": "<string>",
      "name": "<string>",
      "short_description": "<string>",
      "tags": [
        {
          "key": "<string>",
          "order": 123
        }
      ]
    },
    "created_at": "<string>",
    "id": "<string>",
    "product_id": "<string>",
    "publish_at": "<string>",
    "updated_at": "<string>"
  },
  "details": [
    "<string>"
  ],
  "success": true
}

Path Parameters

app_slug
string
required

App slug

team_slug
string
required

Team slug

product_id
string
required

Product ID

Response

Draft retrieved successfully

data
object
details
string[]

Other information which can be relative to the response. This field is used to give additional information then the main data we want to return. For instance if a product do not match the publishing rules will the product status be set to Incomplete and this field will include why

success
boolean